<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: user_info_panel.php
| Author: PHPFusion Deutschland
| Transcribed: superboyka
| E-mail:superboyka@gmail.com
| Tested:PHP-Fusion v.9.3.70
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
defined('IN_FUSION') || exit;
$locale = fusion_get_locale("", INFO_LOCALE);
$aidlink = fusion_get_aidlink();
$settings = fusion_get_settings();
$userdata = fusion_get_userdata(); 
$name = profile_link($userdata['user_id'], trimlink($userdata['user_name'], 10), $userdata['user_status']);
 /** Dieses Copyright darf nicht entfernt werden **/
echo "
<!-- Copyright 2013 PHP Fusion Deutschland
Das Entfernen dieses Hinweise wird mit dem Ausschluss aus der Community geahndet.
Ihr dürft in der Configuration das Sichtbare abschalten, aber nicht dieses 
im Quellcode-->
";
/** Dieses Copyright darf nicht entfernt werden **/

add_to_head ("<link rel='stylesheet' href='".INFO_PATH."css/font-awesome.min.css' type='text/css'media='all'/>");
add_to_head ("<link rel='stylesheet' href='".INFO_PATH."css/userinfopanel.css'type='text/css'media='all'/>");
add_to_head("<script type='text/javascript' src='".INFO_PATH."sb_boxover.js'></script>\n");
if (iMEMBER) {
	$day ="<div align ='center'><b><script type='text/javascript'>
	var today = new Date();var hour = today.getHours();
	if (hour > 17) {document.write('".$locale['info_19']."');}
	if (hour >= 6 && hour <= 11) {document.write('".$locale['info_17']."');}
	if (hour >= 12 && hour <= 17) {document.write('".$locale['info_18']."');}
	if (hour >= 0 && hour < 6) {document.write('".$locale['info_20']."');}
	</script></b>
	<b> [<font class='greeting'>".(iMEMBER ? $name : "Guest")."</font>]</b></div>";

$msg_count = dbcount("(message_id)", DB_MESSAGES, "message_to='".$userdata['user_id']."' AND message_read='0' AND message_folder='0'");
openside($day);
if ($userdata['user_level'] == USER_LEVEL_SUPER_ADMIN) {
        $ucolor = "#D90000'";
    } else if ($userdata['user_level'] == USER_LEVEL_ADMIN) {
        $ucolor = "#037d48'";
    } else if ($userdata['user_level'] == USER_LEVEL_MEMBER) {
        $ucolor = "#0946f6'";
    
	}

echo "<font color='".$ucolor."'><i class='fa fa-user'></i> ".$locale['info_16']."--".getuserlevel($userdata['user_level'])."</font>";
/** Avatar display **/
   echo "<div class='line'></div>";
   echo "<div class='text-center'>\n";
	if ($userdata['user_avatar'] && file_exists(IMAGES."avatars/".$userdata['user_avatar'])) {
         echo display_avatar($userdata, '80px', '', FALSE, 'roll rotate');
    }else{
        echo display_avatar($userdata, '80px', '', FALSE, 'roll rotate', INFO_PATH."images/no-avatar.png");
      }
	  echo "</div>";
    echo "<div class='line'></div>";
	if (iADMIN && checkrights("SU")) {
		$subm_count = dbcount("(submit_id)", DB_SUBMISSIONS);
    if ($subm_count) {
			echo "<i class='fa fa-download'></i><strong><a href='".ADMIN."submissions.php".$aidlink."' class='side'><span style='padding:10px;'>".sprintf($locale['global_125'], $subm_count);
			echo ($subm_count == 1 ? $locale['global_128'] : $locale['global_129'])."</a></strong>\n";
			echo "<div class='line'></div>";
		}
	}
    echo "<table width='100%'>";
    echo "<tr><td width='10%'><i class='fa fa-user'></i></td><td width='90%'><a href='".BASEDIR."profile.php?lookup=".$userdata['user_id']."' class='side'>".$locale['info_01']."</a></td></tr>\n";
	echo "<tr><td width='10%'><i class='fa fa-edit'></i></td><td width='90%'><a href='".BASEDIR."edit_profile.php' class='side'>".$locale['UM080']."</a></td></tr>\n";
	echo "<tr><td width='10%'><i class='fa fa-user'></i></td><td width='90%'><a href='".BASEDIR."members.php' class='side'>".$locale['global_122']."</a></td></tr>\n";
 if (iADMIN && (iUSER_RIGHTS != "" || iUSER_RIGHTS != "C")) {
		 echo "<div class='rows'>";
	echo "<i class='fa fa-wrench'></i><a data-toggle='collapse' data-parent='#navigation-user' href='#collapset' title=''><span style='padding:10px;'>".$locale['global_123']."</a></span>\n";
	echo "<ul id='collapset' class='panel-collapse collapse block m-l-10'>";
	}
	echo "<i class='fa fa-wrench'></i><a href='".ADMIN."settings_main.php".$aidlink."' class='side'><span style='padding:10px;'>".$locale['info_12']."</a></span>\n";
		echo "<br /><i class='fa fa-wrench'></i><a href='".ADMIN."errors.php".$aidlink."' class='side'><span style='padding:10px;'>".$locale['info_13']."</a></span>\n";
		echo "<br /><i class='fa fa-wrench'></i><a href='".ADMIN."panels.php".$aidlink."' class='side'><span style='padding:10px;'>".$locale['info_14']."</a></span>\n";
		echo "<br /><i class='fa fa-wrench'></i><a href='".ADMIN."infusions.php".$aidlink."' class='side'><span style='padding:10px;'>".$locale['info_15']."</a></span>\n";
    echo "</div>\n";
	
	echo "<tr><td width='10%'><i class='fa fa-power-off'></i></td><td width='90%'><a href='".BASEDIR."index.php?logout=yes' class='side'>".$locale['global_124']."</a></td></tr>\n";
    echo "</table>\n";
	echo "<div class='line'></div>";
	echo "<i class='fa fa-envelope-o'></i><strong><a href='".BASEDIR."messages.php' class='side'><span style='padding:10px;'>".$locale['global_121']."</span></strong></a><br />\n"; 
	if ($msg_count) {
        echo "<a href='".BASEDIR."messages.php' class='side'><img src='".INFO_PATH."images/newpm.gif' border='0' alt='' //><br />\n";
		echo "<div style='text-align:center'>\n";
		echo "<img src='".INFO_PATH."images/inbox_full.png' border='0' title=\"header=[&nbsp;&nbsp;<i class='fa fa-warning'></i><span style='padding:10px;'>".$locale['info_04']."</span>] body=[".$locale['info_05a']."(/".$msg_count.")".$locale['info_05']."]delay=[0]\"></div></a>\n";
		echo "<br /><i class='fa fa-warning'></i><strong><span style='padding:5px;'>".$locale['info_06a']."[".$msg_count."]".$locale['info_06']."</a></span></strong>\n";
        echo "<div class='line'></div>";
   $result = dbquery("SELECT m.message_id, 
                   m.message_read,m.message_subject,
               m.message_datestamp, m.message_message, 
                u.user_id, 
               u.user_name, 
               u.user_status,
               u.user_avatar
               FROM ".DB_MESSAGES." m
                  LEFT JOIN ".DB_USERS." u ON m.message_from=u.user_id
               WHERE message_to='".$userdata['user_id']."' AND message_folder='0' AND message_read='0'
               GROUP BY u.user_id DESC LIMIT 0,5"
    		
);
}else{
  echo "<i class='fa fa-info'></i><span style='padding:10px;'> ".$locale['info_03']."</span>";
  echo "<div class='line'></div>";
 }
 $senders = array();
if(dbrows($result)){
while ($pmdata = dbarray($result)) {
      $read = "<a href='".BASEDIR."messages.php?folder=inbox&msg_read=".$pmdata['message_id']."' >";
	  $senders[] = array($pmdata['user_id'], $pmdata['user_name'], $pmdata['user_status'],trimlink($pmdata['message_subject'], 10 ),$read);
      $short = $pmdata['message_subject']; 
   }
 if (count($senders)) {
   $i = 1;
   echo "<table cellpadding='0' cellspacing='0' width='100%'><tr>\n";
   echo "<td align='left' class='tbl2'><strong><i class='fa fa-user'></i><span style='padding:5px;'>".$locale['info_07']."</span></strong></td>";
   echo "<td align='center' class='tbl2'><strong><i class='fa fa-user-md'></i><span style='padding:5px;'>".$locale['info_08']."</span></strong></td>";
   echo "<td align='right' class='tbl2'><strong><i class='fa fa-envelope-o'></i><span style='padding:5px;'>".$locale['info_09']."</span></strong></td>";
   echo "</tr>";
 echo "</table>";
 echo "<table cellpadding='0' cellspacing='0' width='100%'><tr>\n"; 
  while (list($key, $sender) = each($senders)) {
 $pmcount = dbcount("(message_id)", DB_MESSAGES, "message_to='".$userdata['user_id']."' AND message_from='".$sender[0]."' AND message_read='0'");
   echo "<td align='left'class='tbl2'>".profile_link($sender[0], $sender[1],$sender[2])."</td>
         <td align='center'class='tbl2'>".$sender[4]."".($read == 1 )."".$sender[3]."".($short == 1 )."</td><td align='right'class='tbl2'>".$pmcount." ".($pmcount == 1 ? $locale['info_10'] : $locale['info_11'])."</td>
         </tr>";
$i++; 
 }
    echo "</table>";
}
//Separator line.
	echo "<div class='line'></div>";
	}
if ($copyright = 1){
        echo "<br /><div align='right'><a href='http://www.phpfusion-deutschland.de/' target='_blank' title=\" header=[<i class='fa fa-user'></i>]body=[Copyright PHP Fusion Deutschland & superboyka]\"> &copy;</a></div>";}
closeside();
} else {
    if (!preg_match('/login.php/i', FUSION_SELF)) {
        $action_url = FUSION_SELF.(FUSION_QUERY ? "?".FUSION_QUERY : "");
        if (isset($_GET['redirect']) && strstr($_GET['redirect'], "/")) {
            $action_url = cleanurl(urldecode($_GET['redirect']));
        }
        switch (fusion_get_settings("login_method")) {
            case 2 :
                $placeholder = $locale['global_101c'];
                break;
            case 1 :
                $placeholder = $locale['global_101b'];
                break;
            default:
                $placeholder = $locale['global_101a'];
        }
	}
	openside($locale['global_100']);
     echo openform('loginform', 'post', FUSION_REQUEST);
        echo "<div class='jquery-script-clear'></div>\n";
        echo form_text('user_name', $locale['global_101'], '', [
            'placeholder' => $placeholder,
            'required'    => TRUE
        ]);
        echo form_text('user_pass', $locale['global_102'], '', [
            'placeholder' => $locale['global_102'],
            'type'        => 'password',
            'required'    => TRUE
        ]);
        echo form_checkbox('remember_me', $locale['global_103'], '', ['value' => 'y']);
        echo form_button('login', $locale['global_104'], '', ['class' => 'm-t-20 m-b-20 btn-block btn-primary']);
        if ($settings['enable_registration']) {
        }
	    echo "<table width='100%'>";
		echo "<i class='fa fa-lightbulb-o'></i>&nbsp;".strtr($locale['global_105'], ['[LINK]' => "<a href='".BASEDIR."register.php'class='side'>", '[/LINK]' => "</a></br>\n"]);
		echo "<i class='fa fa-unlock'></i>&nbsp;".$locale['global_108']."</a></br>\n"; 
		echo strtr($locale['global_106'], ['[LINK]' => "<a href='".BASEDIR."lostpassword.php'class='side'>", '[/LINK]' => "</a>\n"]);
		echo"</table>\n";
		closeside();
	}

